aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/jenkins/grpc_interop_php/build_interop.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/jenkins/grpc_interop_php/build_interop.sh')
-rwxr-xr-xtools/jenkins/grpc_interop_php/build_interop.sh10
1 files changed, 1 insertions, 9 deletions
diff --git a/tools/jenkins/grpc_interop_php/build_interop.sh b/tools/jenkins/grpc_interop_php/build_interop.sh
index cd9d67804a..87262f1d62 100755
--- a/tools/jenkins/grpc_interop_php/build_interop.sh
+++ b/tools/jenkins/grpc_interop_php/build_interop.sh
@@ -29,7 +29,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Builds PHP interop server and client in a base image.
-set -e
+set -ex
mkdir -p /var/local/git
git clone --recursive /var/local/jenkins/grpc /var/local/git/grpc
@@ -45,18 +45,10 @@ make install-certs
# gRPC core and protobuf need to be installed
make install
-# Download the patched PHP protobuf so that PHP gRPC clients can be generated
-# from proto3 schemas.
-git clone https://github.com/stanley-cheung/Protobuf-PHP.git /var/local/git/protobuf-php
-
(cd src/php/ext/grpc && phpize && ./configure && make)
(cd third_party/protobuf && make install)
-(cd /var/local/git/protobuf-php \
- && rvm all do rake pear:package version=1.0 \
- && pear install Protobuf-1.0.tgz)
-
(cd src/php && composer install)
(cd src/php && protoc-gen-php -i tests/interop/ -o tests/interop/ tests/interop/test.proto)